import 'package:get/get.dart';
import '../pages/edit_view.dart';
import 'sample_bindings.dart';
import '../pages/home_view.dart';
import '../pages/list_view.dart';
import '../pages/details_view.dart';




class SampleRouts {
  static final sampleBindings = SampleBindings();
  static List<GetPage<dynamic>> samplePages = [
    GetPage(
      name: HomePage.namedRoute,
      page: () => const HomePage(),
      binding: sampleBindings,
    ),
    GetPage(
      name: ListPage.namedRoute,
      page: () => const ListPage(),
      binding: sampleBindings,
    ),
    GetPage(
      name: DetailsPage.namedRoute,
      page: () => const DetailsPage(),
      binding: sampleBindings,
    ),
    GetPage(
      name: EditPage.namedRoute,
      page: () => const EditPage(),
      binding: sampleBindings,
    ),
    
  ];

}